package org.springblade.flow.shop.entity;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author cy-computer
 */
@AllArgsConstructor
@Getter
public enum ShopEnum {
	/**
	 * 待商场审核
	 */
	WAITING_MALL("WAITING_MALL"),
	/**
	 * 待平台审核
	 */
	WAITING_PLATFORM("WAITING_PLATFORM"),
	/**
	 * 商户入驻评估
	 */
	WAITING_INVITATION("WAITING_INVITATION"),
	/**
	 * 待商户签约
	 */
	WAITING_SIGN("WAITING_SIGN"),
	/**
	 * 待商户认证
	 */
	WAITING_AUTH("WAITING_AUTH"),
	/**
	 * 审核通过
	 */
	PASS("PASS"),
	/**
	 * 审核不通过
	 */
	FAIL("FAIL"),
	/**
	 * 停用
	 */
	STOP("STOP");

	private String name;
}
